Class
Proxy
Emulates object of another class.

Proxy

Iterator Proxy

Proxy<TSpec>
Include Headers
seqan/basic.h
Parameters

TSpec | The specializing type. Metafunctions: Spec

Remarks
Use Value to get the emulated type. An instance of Proxy behaves like an object of its value type. Proxy can be used as reference type (see Reference).
Note that functions that are both general and specialized for the value type should be specialized for Proxy<TSpec> too, since otherwise the general version will be called.
Specializations

Iterator Proxy | Proxy that is implemented by an iterator.

Metafunctions

Difference | Type of an object that stores the difference between two iterators.
GetValue | Type for reading values.
Reference | Reference type.
Size | Type of an object that is suitable to hold size information.
Spec | The spec of a class.
Value | Type of the items in the container.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45